CMSIS-DSP: arm_cfft_radix4_q15.c File Reference

| CMSIS-DSP Version 1.4.7 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_cfft_radix4_q15.c File Reference

## Functions
void | arm_radix4_butterfly_q15 (q15_t *pSrc16, uint32_t fftLen, q15_t *pCoef16, uint32_t twidCoefModifier)
| Core function for the Q15 CFFT butterfly process.
void | arm_radix4_butterfly_inverse_q15 (q15_t *pSrc16, uint32_t fftLen, q15_t *pCoef16, uint32_t twidCoefModifier)
| Core function for the Q15 CIFFT butterfly process.
void | arm_bitreversal_q15 (q15_t *pSrc, uint32_t fftLen, uint16_t bitRevFactor, uint16_t *pBitRevTab)
void | arm_cfft_radix4_q15 (const arm_cfft_radix4_instance_q15 *S, q15_t *pSrc)
| Processing function for the Q15 CFFT/CIFFT.

## Function Documentation

void arm_bitreversal_q15 | ( | q15_t * | pSrc,
|  | uint32_t | fftLen,
|  | uint16_t | bitRevFactor,
|  | uint16_t * | pBitRevTab
| ) |  |

Referenced by arm_cfft_radix2_q15(), and arm_cfft_radix4_q15().

void arm_radix4_butterfly_inverse_q15 | ( | q15_t * | pSrc16,
|  | uint32_t | fftLen,
|  | q15_t * | pCoef16,
|  | uint32_t | twidCoefModifier
| ) |  |

Parameters

  [in,out] | *pSrc16 | points to the in-place buffer of Q15 data type.
  [in] | fftLen | length of the FFT.
  [in] | *pCoef16 | points to twiddle coefficient buffer.
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns
  none.

References __SIMD32, and _SIMD32_OFFSET.

Referenced by arm_cfft_q15(), arm_cfft_radix4_q15(), and arm_cfft_radix4by2_inverse_q15().

void arm_radix4_butterfly_q15 | ( | q15_t * | pSrc16,
|  | uint32_t | fftLen,
|  | q15_t * | pCoef16,
|  | uint32_t | twidCoefModifier
| ) |  |

end of ComplexFFT group

Parameters

  [in,out] | *pSrc16 | points to the in-place buffer of Q15 data type.
  [in] | fftLen | length of the FFT.
  [in] | *pCoef16 | points to twiddle coefficient buffer.
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns
  none.

References __SIMD32, and _SIMD32_OFFSET.

Referenced by arm_cfft_q15(), arm_cfft_radix4_q15(), and arm_cfft_radix4by2_q15().